---
lang: en
title: 'API docs: repository.wherebuilder.or'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.wherebuilder.or.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [WhereBuilder](./repository.wherebuilder.md) &gt; [or](./repository.wherebuilder.or.md)

## WhereBuilder.or() method

Add an `or` clause.

<b>Signature:</b>

```typescript
or(...w: (Where<MT> | Where<MT>[])[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  w | ([Where](./repository.where.md)<!-- -->&lt;MT&gt; \| [Where](./repository.where.md)<!-- -->&lt;MT&gt;\[\])\[\] | One or more where objects |

<b>Returns:</b>

this


